Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `ExtendedBaseline`, `ModuleElement`, `Review`, `TopicContainer`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

Direct Known Subclasses:
  `DeliveryReviewImpl`, `DropReviewImpl`

public abstract class ReviewImpl extends BaselineImpl implements Review, ExtendedBaseline
An implementation of the model object 'Review'.

Generated
Extends
  ExtendedBaseline
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Review`
  - `Topics`
  - `Comments`
  - `Topic Count`
  - `Unresolved Count`
  - `Resolved Count`
  - `Id`
  - `Author`
  - `Reviewers`
  - `Status`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`AUTHOR_EDEFAULT`
The default value of the '`Author`' attribute.
`protected static final int`
`ID_EDEFAULT`
The default value of the '`Id`' attribute.
`protected static final int`
`RESOLVED_COUNT_EDEFAULT`
The default value of the '`Resolved Count`' attribute.
`protected static final ReviewStatus`
`STATUS_EDEFAULT`
The default value of the '`Status`' attribute.
`protected static final int`
`TOPIC_COUNT_EDEFAULT`
The default value of the '`Topic Count`' attribute.
`protected static final int`
`UNRESOLVED_COUNT_EDEFAULT`
The default value of the '`Unresolved Count`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReviewImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getAuthor()`
`EList<Comment>`
`getComments()`
`int`
`getId()`
`int`
`getResolvedCount()`
`Review`
`getReview()`
`EList<String>`
`getReviewers()`
`ReviewStatus`
`getStatus()`
`Stream`
`getStream()`
`int`
`getTopicCount()`
`EList<Topic>`
`getTopics()`
`int`
`getUnresolvedCount()`
`void`
`setAuthor(String newAuthor)`
`void`
`setId(int newId)`
`void`
`setStatus(ReviewStatus newStatus)`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, eInvoke, extended, getBaseTimeStamp, getBranchPoint, getModule, getName, getSystem, getTypeAndName, getTypeName, isFloating, name, setStream, time, type`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getBranchPoint, getName, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.impl.ExtendedBaseline

`getSortPriority`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBasicRemoveFromContainer, eDerivedOperationID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.TopicContainer

`forEachComment, forEachTopic, getTopic, getTopics`

## Field Details

### TOPIC_COUNT_EDEFAULT

protected static final int TOPIC_COUNT_EDEFAULT
The default value of the '`Topic Count`' attribute.

Since:
  1.2
See Also:
  - `getTopicCount()`
  - Constant Field Values
Generated
Ordered

### UNRESOLVED_COUNT_EDEFAULT

protected static final int UNRESOLVED_COUNT_EDEFAULT
The default value of the '`Unresolved Count`' attribute.

See Also:
  - `getUnresolvedCount()`
  - Constant Field Values
Generated
Ordered

### RESOLVED_COUNT_EDEFAULT

protected static final int RESOLVED_COUNT_EDEFAULT
The default value of the '`Resolved Count`' attribute.

See Also:
  - `getResolvedCount()`
  - Constant Field Values
Generated
Ordered

### ID_EDEFAULT

protected static final int ID_EDEFAULT
The default value of the '`Id`' attribute.

See Also:
  - `getId()`
  - Constant Field Values
Generated
Ordered

### AUTHOR_EDEFAULT

protected static final String AUTHOR_EDEFAULT
The default value of the '`Author`' attribute.

See Also:
  - `getAuthor()`
Generated
Ordered

### STATUS_EDEFAULT

protected static final ReviewStatus STATUS_EDEFAULT
The default value of the '`Status`' attribute.

See Also:
  - `getStatus()`
Generated
Ordered

## Constructor Details

### ReviewImpl

protected ReviewImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BaselineImpl`
Generated

### getStream

public Stream getStream()
Description copied from class: `BaselineImpl`

Specified by:
  `getStream` in interface `Baseline`
Specified by:
  `getStream` in interface `StreamElement`
Overrides:
  `getStream` in class `BaselineImpl`
Returns:
  the value of the 'Stream' container reference.
See Also:
  - `Baseline.setStream(Stream)`
  - `LMPackage.getBaseline_Stream()`
  - `Stream.getContents()`

### getReview

public Review getReview()

Specified by:
  `getReview` in interface `TopicContainer`
Returns:
  the value of the 'Review' reference.
See Also:
  - `ReviewsPackage.getTopicContainer_Review()`
Generated
  NOT

### getComments

public EList<Comment> getComments()

Specified by:
  `getComments` in interface `TopicContainer`
Returns:
  the value of the 'Comments' containment reference list.
See Also:
  - `ReviewsPackage.getTopicContainer_Comments()`
  - `Comment.getContainer()`
Generated

### getTopicCount

public int getTopicCount()

Specified by:
  `getTopicCount` in interface `TopicContainer`
Returns:
  the value of the 'Topic Count' attribute.
See Also:
  - `ReviewsPackage.getTopicContainer_TopicCount()`
Generated
  NOT

### getUnresolvedCount

public int getUnresolvedCount()

Specified by:
  `getUnresolvedCount` in interface `TopicContainer`
Returns:
  the value of the 'Unresolved Count' attribute.
See Also:
  - `ReviewsPackage.getTopicContainer_UnresolvedCount()`
Generated
  NOT

### getResolvedCount

public int getResolvedCount()

Specified by:
  `getResolvedCount` in interface `TopicContainer`
Returns:
  the value of the 'Resolved Count' attribute.
See Also:
  - `ReviewsPackage.getTopicContainer_ResolvedCount()`
Generated
  NOT

### getId

public int getId()

Specified by:
  `getId` in interface `Review`
Returns:
  the value of the 'Id' attribute.
See Also:
  - `Review.setId(int)`
  - `ReviewsPackage.getReview_Id()`
Generated

### setId

public void setId(int newId)

Specified by:
  `setId` in interface `Review`
Parameters:
  `newId` - the new value of the 'Id' attribute.
See Also:
  - `Review.getId()`
Generated

### getAuthor

public String getAuthor()

Specified by:
  `getAuthor` in interface `Review`
Returns:
  the value of the 'Author' attribute.
See Also:
  - `Review.setAuthor(String)`
  - `ReviewsPackage.getReview_Author()`
Generated

### setAuthor

public void setAuthor(String newAuthor)

Specified by:
  `setAuthor` in interface `Review`
Parameters:
  `newAuthor` - the new value of the 'Author' attribute.
See Also:
  - `Review.getAuthor()`
Generated

### getReviewers

public EList<String> getReviewers()

Specified by:
  `getReviewers` in interface `Review`
Returns:
  the value of the 'Reviewers' attribute list.
See Also:
  - `ReviewsPackage.getReview_Reviewers()`
Generated

### getStatus

public ReviewStatus getStatus()

Specified by:
  `getStatus` in interface `Review`
Returns:
  the value of the 'Status' attribute.
See Also:
  - `ReviewStatus`
  - `Review.setStatus(ReviewStatus)`
  - `ReviewsPackage.getReview_Status()`
Generated

### setStatus

public void setStatus(ReviewStatus newStatus)

Specified by:
  `setStatus` in interface `Review`
Parameters:
  `newStatus` - the new value of the 'Status' attribute.
See Also:
  - `ReviewStatus`
  - `Review.getStatus()`
Generated

### getTopics

public EList<Topic> getTopics()

Specified by:
  `getTopics` in interface `TopicContainer`
Returns:
  the value of the 'Topics' containment reference list.
See Also:
  - `ReviewsPackage.getTopicContainer_Topics()`
  - `Topic.getContainer()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BaselineImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BaselineImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BaselineImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BaselineImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BaselineImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BaselineImpl`
Generated

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `BasicEObjectImpl`
Generated

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`
Generated